# DialogComboSelection (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.menu

## Class DialogComboSelection

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.deidentifier.arx.gui.view.impl.menu.DialogComboSelection

- All Implemented Interfaces:
    org.eclipse.jface.window.IShellProvider

      public class DialogComboSelection
      extends org.eclipse.jface.dialogs.Dialog

  A selection dialog for elements from a combo box.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `org.eclipse.jface.window.Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogComboSelection(org.eclipse.swt.widgets.Shell parentShell, java.lang.String dialogTitle, java.lang.String dialogMessage, java.lang.String[] choices, java.lang.String initialValue, org.eclipse.jface.dialogs.IInputValidator validator)` Creates an input dialog with OK and Cancel buttons.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buttonPressed(int buttonId)`
    `protected void` | `configureShell(org.eclipse.swt.widgets.Shell shell)`
    `protected void` | `createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)`
    `protected org.eclipse.swt.widgets.Control` | `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
    `protected org.eclipse.swt.widgets.Combo` | `getCombo()` Returns the combo.
    `protected org.eclipse.swt.widgets.Button` | `getOkButton()` Returns the ok button.
    `protected org.eclipse.swt.events.ShellListener` | `getShellListener()`
    `protected org.eclipse.jface.dialogs.IInputValidator` | `getValidator()` Returns the validator.
    `java.lang.String` | `getValue()` Returns the string typed into this input dialog.
    `void` | `setErrorMessage(java.lang.String errorMessage)` Sets or clears the error message.
    `protected void` | `validateInput()` Validates the input.

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialogComboSelection

          public DialogComboSelection(org.eclipse.swt.widgets.Shell parentShell,
                              java.lang.String dialogTitle,
                              java.lang.String dialogMessage,
                              java.lang.String[] choices,
                              java.lang.String initialValue,
                              org.eclipse.jface.dialogs.IInputValidator validator)

      Creates an input dialog with OK and Cancel buttons. Note that the dialog will have no visual representation (no widgets) until it is told to open.

      Note that the `open` method blocks for input dialogs.

      Parameters:
        `parentShell` - the parent shell, or `null` to create a top-level shell
        `dialogTitle` - the dialog title, or `null` if none
        `dialogMessage` - the dialog message, or `null` if none
        `choices` - choices for combo widget
        `initialValue` - the initial input value, or `null` if none (equivalent to the empty string)
        `validator` - an input validator, or `null` if none

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      Returns the string typed into this input dialog.
      Returns:
        the input string

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

      Sets or clears the error message. If not `null`, the OK button is disabled.
      Parameters:
        `errorMessage` - the error message, or `null` to clear
      Since:
        3.0

    - #### buttonPressed

          protected void buttonPressed(int buttonId)

      Overrides:
        `buttonPressed` in class `org.eclipse.jface.dialogs.Dialog`

    - #### configureShell

          protected void configureShell(org.eclipse.swt.widgets.Shell shell)

      Overrides:
        `configureShell` in class `org.eclipse.jface.window.Window`

    - #### createButtonsForButtonBar

          protected void createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createButtonsForButtonBar` in class `org.eclipse.jface.dialogs.Dialog`

    - #### createDialogArea

          protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

    - #### getCombo

          protected org.eclipse.swt.widgets.Combo getCombo()

      Returns the combo.
      Returns:
        the combo

    - #### getOkButton

          protected org.eclipse.swt.widgets.Button getOkButton()

      Returns the ok button.
      Returns:
        the ok button

    - #### getShellListener

          protected org.eclipse.swt.events.ShellListener getShellListener()

      Overrides:
        `getShellListener` in class `org.eclipse.jface.window.Window`

    - #### getValidator

          protected org.eclipse.jface.dialogs.IInputValidator getValidator()

      Returns the validator.
      Returns:
        the validator

    - #### validateInput

          protected void validateInput()

      Validates the input.

      The default implementation of this framework method delegates the request to the supplied input validator object; if it finds the input invalid, the error message is displayed in the dialog's message line. This hook method is called whenever the text changes in the input field.